import { $postParam, $post } from "@/plugins/axios";

// 教学班
export const commonTeachClazzQuery = ({
  paperArchivesId = "",
  courseName = "",
}) => {
  return $postParam("/api/admin/common/teach_clazz/query", {
    paperArchivesId,
    courseName,
  });
};
// 档案
export const commonArchivesQuery = (data) => {
  return $postParam("/api/admin/common/archives/query", data);
};

// 档案类型
export const commonArchivesManageUserQuery = () => {
  return $postParam("/api/admin/common/manager_user/query", {});
};
// 档案部门
export const commonArchivesOrgQuery = (data) => {
  return $postParam("/api/admin/common/manager_org/query", data);
};

// 学期
export const commonSemesterQuery = () => {
  return $postParam("/api/admin/common/semester/query", {});
};
// 考试
export const commonExamQuery = (data) => {
  return $postParam("/api/admin/common/exam/query", data);
};
// 课程
export const commonCourseQuery = (datas) => {
  return $postParam("/api/admin/common/course/query", datas);
};
// 课程
export const commonCollegeMajorClassQuery = (datas) => {
  // examId,collegeName,majorName
  // dictionaryEnum:COLLEGE("学院"),MAJOR("专业"),CLAZZ("班级")
  return $postParam("/api/admin/common/college_major_class/query", datas);
};
// 扫描任务
export const commonScanTaskQuery = (data) => {
  return $postParam("/api/admin/common/scan_task/query", data);
};

// user --------------------------------->
// user-manage
export const userListPage = (datas) => {
  return $postParam("/api/admin/sys/user/list", datas);
};
export const updateUser = (datas) => {
  return $post("/api/admin/sys/user/save", datas);
};
export const ableUser = ({ id, enable }) => {
  return $post("/api/admin/sys/user/enable", { id, enable });
};
export const deleteUser = (ids) => {
  return $postParam("/api/admin/sys/user/remove", { ids: ids.join() });
};
export const resetPwd = (id) => {
  return $post("/api/admin/sys/user/reset_password", { id });
};
export const updatePwd = (datas) => {
  return $post("/api/admin/sys/user/update_password", datas);
};
export const userBindRoles = ({ id, roleIds }) => {
  return $post("/api/admin/sys/user/bind_roles", { id, roleIds });
};
export const userRoleListPage = () => {
  return $postParam("/api/admin/sys/role/list_to_user", {});
};
export const syncUserToEcs = () => {
  return $postParam("/api/admin/sys/user/push", {});
};
export const roleUserTree = () => {
  return $postParam("/api/admin/sys/user/org-tree", {});
};

// role-manage
export const roleListPage = (datas) => {
  return $postParam("/api/admin/sys/role/list", datas);
};
export const ableRole = ({ id, enable }) => {
  return $post("/api/admin/sys/role/enable", { id, enable });
};
export const updateRole = (datas) => {
  return $post("/api/admin/sys/role/save", datas);
};
export const deleteRole = (ids) => {
  return $postParam("/api/admin/sys/role/remove", { ids: ids.join() });
};
export const userBoundRoles = (userId) => {
  return $postParam("/api/admin/sys/role/get_user_roles", { userId });
};
export const roleBoundDataPriviledge = (datas) => {
  return $postParam("/api/admin/sys/role/bind_range", datas);
};
export const roleUserListQuery = (datas) => {
  return $postParam("/api/admin/sys/role/query", datas);
};
// role-user-manage
export const roleGroupList = (datas) => {
  return $postParam("/api/admin/sys/role/group/list", datas);
};
export const updateRoleGroup = (datas) => {
  return $post("/api/admin/sys/role/group/save", datas);
};
// menu-manage
export const menuAuthList = (datas) => {
  return $postParam("/api/admin/sys/privilege/list_auth", datas);
};
export const privilegeList = (datas) => {
  return $postParam("/api/admin/sys/privilege/list", datas);
};
export const roleBoundPrivileges = (roleId) => {
  return $postParam("/api/admin/sys/privilege/get_role_privileges", { roleId });
};
// organization-manage
export const organizationList = (datas) => {
  return $postParam("/api/admin/sys/org/list", datas);
};
export const organizationFindByTypeList = (datas) => {
  return $postParam("/api/admin/sys/org/find_by_type", datas);
};
export const updateOrganization = (datas) => {
  return $post("/api/admin/sys/org/save", datas);
};
export const ableOrganization = ({ id, enable }) => {
  return $post("/api/admin/sys/org/enable", { id, enable });
};
export const deleteOrganization = (ids) => {
  return $postParam("/api/admin/sys/org/remove", { ids: ids.join() });
};
export const teachCollegeList = (examId) => {
  return $postParam("/api/admin/grade/batch/paper/find_teach_college", {
    examId,
  });
};

// dict --------------------------------->
// student-manage
export const studentListQuery = (datas) => {
  return $postParam("/api/admin/exam/student/page", datas);
};
export const deleteStudent = (ids) => {
  return $postParam("/api/admin/exam/student/delete", {
    ids: ids.join(),
  });
};
export const updateStudent = (datas) => {
  return $post("/api/admin/exam/student/save", datas);
};
export const studentCascadeQuery = (datas) => {
  return $postParam("/api/admin/common/basic_student/condition", datas);
};

// semester-manage
export const semesterListQuery = (datas) => {
  return $postParam("/api/admin/basic/semester/page", datas);
};
export const deleteSemester = (ids) => {
  return $postParam("/api/admin/basic/semester/delete", { ids: ids.join() });
};
export const updateSemester = (datas) => {
  return $post("/api/admin/basic/semester/save", datas);
};
// exam-manage
export const examListQuery = (datas) => {
  return $postParam("/api/admin/basic/exam/page", datas);
};
export const deleteExam = (ids) => {
  return $postParam("/api/admin/basic/exam/delete", {
    ids: ids.join(),
  });
};
export const updateExam = (datas) => {
  return $post("/api/admin/basic/exam/save", datas);
};

// import systemset from "./systemset.json";
// system-setting
export const systemSettingQuery = (isSystem) => {
  // console.log(isSystem);
  // return Promise.resolve(systemset);
  if (isSystem) {
    return $postParam("/api/admin/sys/setting_global/get", {});
  }
  return $postParam("/api/admin/sys/setting/get", {});
};
export const updateSystemSetting = (datas, isSystem) => {
  if (isSystem) {
    return $post("/api/admin/sys/setting_global/save", datas);
  }
  return $post("/api/admin/sys/setting/save", datas);
};

// common
export const uploadFile = (datas) => {
  return $post("/api/admin/common/file/upload", datas);
};
export const getCode = (type) => {
  return $postParam("/api/admin/common/get_code", { type });
};

// data-task
export const dataTaskList = (datas) => {
  return $postParam("/api/admin/data/t_b_task/query", datas);
};
export const flushCache = (type) => {
  return $postParam("/api/admin/common/flush_cache", { type });
};
